#!/usr/bin/perl
# Test ACLs

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More;
use Test::Deep;

plan tests => 16;

use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);
use Log::Log4perl;
use Log::Log4perl::Level;
# reduce unnecessary output by amending rootlogger to suppress INFO and DEBUG messages
Log::Log4perl->get_logger("")->level($WARN);

my $ua = Test::WWW::Mechanize::Catalyst->new;

$ua->get_ok("/login");
$ua->content_contains("Please log in");

$ua->get_ok("/login?lang=de");
$ua->content_contains("Bitte melden");

$ua->add_header( "Accept-Language" => "de" );
$ua->get_ok("/login");
$ua->content_contains("Benutzername");

$ua->get_ok('http://localhost/');
$ua->form_name('login_form');
$ua->field( 'login_username' => "admin" );
$ua->field( 'login_password' => "initial" );
$ua->field( 'noscript'       => 0 );
$ua->click('login');
$ua->get_ok("/status");
$ua->content_contains("Host Group Summary &gt; Opsview");

$ua->get_ok("/user/preference");
$ua->form_name("main_form");
$ua->select( "language", "de" );
$ua->current_form->action;
$ua->submit;

$ua->get_ok("/status/hostgroup");
$ua->content_contains("Host-Status-Ergebnisse");

$ua->get_ok("/status/hostgroup?lang=en");
$ua->content_contains("Host Status Totals");

$ua->get_ok("/admin/contact/clone/1");
$ua->content_contains("English");
