#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Opsview::Test;
use Test::WWW::Mechanize;

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize->new;

log_in( $mech, 'admin', 'initial', "http://localhost:3000" );

$mech->get_ok("/admin/monitoringserver");
$mech->content_contains('opslaveclusterAip', "Have got some nodes listed" );

$mech->follow_link_ok( { text => "Slave Status" }, "Can go to slave status link" );
$mech->content_contains( ">Slave-node: opslave</a>", "Found 1st service" );
$mech->content_contains( "Slave-node: opslaveclusterA", "Found 2nd service" );

