#!/usr/bin/perl

use warnings;
use strict;
use FindBin qw($Bin);
use lib "$Bin/../lib";

use lib "/usr/local/nagios/lib", "/usr/local/nagios/etc", "/usr/local/nagios/t/lib";

use Test::More qw(no_plan);
use Test::Deep;

use Opsview::Test qw(opsview);
use Test::WWW::Mechanize::Catalyst qw(Opsview::Web);

use lib "$Bin/lib";
use Opsview::TestUtils;

my $mech = Test::WWW::Mechanize::Catalyst->new;

log_in( $mech, 'admin', 'initial' );

$mech->get_ok("/admin/hosttemplate/edit/4");
$mech->form_name("main_form");
$mech->submit_form;

$mech->content_unlike(qr/error in the Opsview/);

note("Testing exceptions changes - have to manually do ticking");
$mech->get_ok("/admin/hosttemplate/edit/3"); # Cisco Mgt
$mech->form_name("main_form");
is( $mech->value("timedoverride_44_time"), 3 );
$mech->select("timedoverride_44_time", 4);
is( $mech->value("timedoverride_44_cmd"), "--timed --nonworkhours");
$mech->field("timedoverride_44_cmd", "changed timed exception via testing" );
is( $mech->value("exception_44_add"), "--except" );
$mech->field("exception_44_add", "changed exception via testing" );
$mech->submit_form;

$mech->get_ok("/admin/hosttemplate/edit/3");
$mech->form_name("main_form");
is( $mech->value("timedoverride_44_time"), 4 );
is( $mech->value("timedoverride_44_cmd"), "changed timed exception via testing" );
is( $mech->value("exception_44_add"), "changed exception via testing" );

1;
